
Ruby - Bug #7667

Should Refinements be enabled by default?

01/07/2013 12:55 PM - shugo (Shugo Maeda)

Status: Closed   

Priority: Normal   

Assignee: shugo (Shugo Maeda)   

Target version:    

ruby -v: ruby 2.0.0dev (2013-01-07 trunk 38719)

[i686-linux]

Backport:  

Description

Currently, `require "refinement"' is needed to use Refinements, but I've heard from Matz that he wants Refinements to be enabled by

default.

Is it right, Matz?

If so, I'm worried that other implementors might not want to enable Refinements by default, because it's an experimental feature.

Associated revisions

Revision 9cadf0c03906f49f41e4222248c6a48e72bdb82f - 01/07/2013 11:22 AM - shugo (Shugo Maeda)

eval.c (Init_eval): enable Refinements by default.

[ruby-core:51286] [Bug #7667]

eval.c (rb_mod_refine, top_using): show a warning when

Module#refine or main.using is called at the first time.

ext/refinement/*: removed the extension library "refinement".

test/ruby/test_refinement.rb: fix for the above changes.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@38729 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 9cadf0c0 - 01/07/2013 11:22 AM - shugo (Shugo Maeda)

eval.c (Init_eval): enable Refinements by default.

[ruby-core:51286] [Bug #7667]

eval.c (rb_mod_refine, top_using): show a warning when

Module#refine or main.using is called at the first time.

ext/refinement/*: removed the extension library "refinement".

test/ruby/test_refinement.rb: fix for the above changes.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@38729 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 01/07/2013 01:24 PM - matz (Yukihiro Matsumoto)

- Assignee changed from matz (Yukihiro Matsumoto) to shugo (Shugo Maeda)

Correct. I think we don't have to worry about other implementations if it's marked as EXPERIMENTAL in the NEWS file.

Matz.

#2 - 01/07/2013 02:21 PM - shugo (Shugo Maeda)

matz (Yukihiro Matsumoto) wrote:
Correct. I think we don't have to worry about other implementations if it's marked as EXPERIMENTAL in the NEWS file.

 I think a warning should be shown when Module#refine or main.using is called at the first time.

#3 - 01/07/2013 08:22 PM - shugo (Shugo Maeda)

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r38729.

Shugo, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

eval.c (Init_eval): enable Refinements by default.

[ruby-core:51286] [Bug #7667]

eval.c (rb_mod_refine, top_using): show a warning when

Module#refine or main.using is called at the first time.

ext/refinement/*: removed the extension library "refinement".

test/ruby/test_refinement.rb: fix for the above changes.
